Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

v0.2.0

Release version 0.2.0
beanstalkc 0.2.0 is compatible with beanstalkd 1.4.3 and will work with
any later 1.x release of beanstalkd.

beanstalkc API changes compared to version 0.1.1:

6e282a0 Change YAML-related names for clarity

    INCOMPATIBLE CHANGE: the optional parameter `decode_yaml` to
    `Connection`'s constructor is now named `parse_yaml`.

a49928f Wrap all socket exceptions in SocketError

    INCOMPATIBLE CHANGE: `socket.error` exceptions are no longer exposed
    to the user, catch `beanstalkc.SocketError` instead.

a494e1d Gracefully handle missing PyYAML

    CHANGE: `Connection`'s `parse_yaml` parameter now also accepts
    functions.

v0.1.1

Improved release versioning

v0.1.0

Allowed the deletion of ready jobs (adapted to protocol change)
Something went wrong with that request. Please try again.